org.wildfly.swarm.config.infinispan.cache_container

## Class BehindWrite<T extends BehindWrite<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.infinispan.cache_container.BehindWrite<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class BehindWrite<T extends BehindWrite<T>>
      extends HashMap

  Configures a cache store as write-behind instead of write-through.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BehindWrite()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Integer` | `modificationQueueSize()` Maximum number of entries in the asynchronous queue.
    `T` | `modificationQueueSize(Integer value)` Maximum number of entries in the asynchronous queue.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `threadPoolSize()` Size of the thread pool whose threads are responsible for applying the modifications to the cache store.
    `T` | `threadPoolSize(Integer value)` Size of the thread pool whose threads are responsible for applying the modifications to the cache store.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### BehindWrite

          public BehindWrite()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### modificationQueueSize

          public Integer modificationQueueSize()

      Maximum number of entries in the asynchronous queue. When the queue is full, the store becomes write-through until it can accept new entries.

    - #### modificationQueueSize

          public T modificationQueueSize(Integer value)

      Maximum number of entries in the asynchronous queue. When the queue is full, the store becomes write-through until it can accept new entries.

    - #### threadPoolSize

          public Integer threadPoolSize()

      Size of the thread pool whose threads are responsible for applying the modifications to the cache store.

    - #### threadPoolSize

          public T threadPoolSize(Integer value)

      Size of the thread pool whose threads are responsible for applying the modifications to the cache store.

Copyright © 2017 JBoss by Red Hat. All rights reserved.